Package net.shibboleth.idp.authn.impl

# Class X509ProxyFilter

java.lang.Object
net.shibboleth.idp.authn.impl.X509ProxyFilter

All Implemented Interfaces:
  `Filter`

public class X509ProxyFilter extends Object implements Filter
Servlet filter to translate Apache mod_ssl certificate variables into Java servlet attributes.

## Field Summary

Fields
Modifier and Type
Field
Description
`private static final String`
`APACHE_NULL`
Apache null indicator.
`static final String`
`CHAIN_HEADERS_PARAM`
Init parameter controlling what headers to check for the chain certificates.
`private Collection<String>`
`chainHeaders`
Name of headers containing chain certificates.
`static final String`
`LEAF_HEADER_PARAM`
Init parameter controlling what headers to check for the leaf certificate.
`private String`
`leafHeader`
Name of header containing end-entity certificate.
`private final org.slf4j.Logger`
`log`
Class logger.

## Constructor Summary

Constructors
Constructor
Description
`X509ProxyFilter()`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`void`
`destroy()`
`void`
`doFilter(ServletRequest request, ServletResponse response, FilterChain chain)`
`void`
`init(FilterConfig config)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### LEAF_HEADER_PARAM

@Nonnull @NotEmpty public static final String LEAF_HEADER_PARAM
Init parameter controlling what headers to check for the leaf certificate.

See Also:
  - Constant Field Values

### CHAIN_HEADERS_PARAM

@Nonnull @NotEmpty public static final String CHAIN_HEADERS_PARAM
Init parameter controlling what headers to check for the chain certificates.

See Also:
  - Constant Field Values

### APACHE_NULL

@Nonnull @NotEmpty private static final String APACHE_NULL
Apache null indicator.

See Also:
  - Constant Field Values

### log

@Nonnull private final org.slf4j.Logger log
Class logger.

### leafHeader

@Nullable @NotEmpty private String leafHeader
Name of header containing end-entity certificate.

### chainHeaders

@Nonnull private Collection<String> chainHeaders
Name of headers containing chain certificates.

## Constructor Details

### X509ProxyFilter

public X509ProxyFilter()
Constructor.

## Method Details

### init

public void init(FilterConfig config) throws ServletException

Specified by:
  `init` in interface `Filter`
Throws:
  `ServletException`

### doFilter

public void doFilter(ServletRequest request, ServletResponse response, FilterChain chain) throws IOException, ServletException

Specified by:
  `doFilter` in interface `Filter`
Throws:
  `IOException`
  `ServletException`

### destroy

public void destroy()

Specified by:
  `destroy` in interface `Filter`